org.apache.lucene.analysis

## Class LookaheadTokenFilter.Position

- java.lang.Object
- - org.apache.lucene.analysis.LookaheadTokenFilter.Position

- All Implemented Interfaces:
    RollingBuffer.Resettable
  Enclosing class:
    LookaheadTokenFilter<T extends LookaheadTokenFilter.Position>

      protected static class LookaheadTokenFilter.Position
      extends Object
      implements RollingBuffer.Resettable

  Holds all state for a single position; subclass this to record other state at each position.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `endOffset`
    `List<AttributeSource.State>` | `inputTokens`
    `int` | `nextRead`
    `int` | `startOffset`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Position()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(AttributeSource.State state)`
    `AttributeSource.State` | `nextState()`
    `void` | `reset()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputTokens

          public final List<AttributeSource.State> inputTokens

    - #### nextRead

          public int nextRead

    - #### startOffset

          public int startOffset

    - #### endOffset

          public int endOffset

  - ### Constructor Detail

    - #### Position

          protected Position()

  - ### Method Detail

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `RollingBuffer.Resettable`

    - #### add

          public void add(AttributeSource.State state)

    - #### nextState

          public AttributeSource.State nextState()

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.